Skip to main content
POST
Authorize payment for order

Authorizations

Authorization
string
header
required

Oauth 2.0 authentication

Headers

PayPal-Request-Id
string

The server stores keys for 6 hours. The API callers can request the times to up to 72 hours by speaking to their Account Manager. It is mandatory for all single-step create order calls (E.g. Create Order Request with payment source information like Card, PayPal.vault_id, PayPal.billing_agreement_id, etc).

Required string length: 1 - 108
Prefer
string
default:return=minimal

The preferred server response upon successful completion of the request. Value is:

  • return=minimal. The server returns a minimal response to optimize communication between the API caller and the server. A minimal response includes the id, status and HATEOAS links.
  • return=representation. The server returns a complete resource representation, including the current state of the resource.

Required string length: 1 - 25
Pattern: ^[a-zA-Z=,-]*$
PayPal-Client-Metadata-Id
string
Required string length: 1 - 36
PayPal-Auth-Assertion
string

An API-caller-provided JSON Web Token (JWT) assertion that identifies the merchant. For details, see PayPal-Auth-Assertion.

Path Parameters

id
string
required

The ID of the order that the tracking information is associated with.

Required string length: 1 - 36
Pattern: ^[A-Z0-9]+$

Body

application/json

The authorization of an order request.

payment_source
Payment Source · object

The payment source definition.

Response

A successful response to an idempotent request returns the HTTP 200 OK status code with a JSON response body that shows authorized payment details.

The order authorize response.

create_time
string<ppaas_date_time_v3>
read-only

The date and time when the transaction occurred, in Internet date and time format.

Required string length: 20 - 64
Pattern: ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$
update_time
string<ppaas_date_time_v3>
read-only

The date and time when the transaction was last updated, in Internet date and time format.

Required string length: 20 - 64
Pattern: ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$
id
string
read-only

The ID of the order.

payment_source
Payment Source Response · object

The payment source used to fund the payment.

intent
enum<string>

The intent to either capture payment immediately or authorize a payment for an order after order creation.

Available options:
CAPTURE,
AUTHORIZE
processing_instruction
any
payer
Payer · object

The customer who approves and pays for the order. The customer is also known as the payer.

purchase_units
Purchase Unit · object[]

An array of purchase units. Each purchase unit establishes a contract between a customer and merchant. Each purchase unit represents either a full or partial order that the customer intends to purchase from the merchant.

Required array length: 1 - 10 elements
status
enum<string>
read-only

The order status.

Available options:
CREATED,
SAVED,
APPROVED,
VOIDED,
COMPLETED,
PAYER_ACTION_REQUIRED
Required string length: 1 - 255
Pattern: ^[0-9A-Z_]+$

An array of request-related HATEOAS links.

Required array length: 1 - 10 elements